# -*- coding: utf-8 -*-
# Generated by Django 1.9.9 on 2016-10-07 01:54
from __future__ import unicode_literals

from django.db import migrations


def add_dac5_vocabulary(apps, schema_editor):
    Vocabulary = apps.get_model('aims', 'Vocabulary')
    Vocabulary.objects.update_or_create(
        code='DAC-5',
        defaults={'name': 'OECD Development Assistance Committee 5 digit codes'})


def delete_dac5_vocabulary(apps, schema_editor):
    Vocabulary = apps.get_model('aims', 'Vocabulary')
    Vocabulary.objects.filter(code='DAC-5').delete()


class Migration(migrations.Migration):

    dependencies = [
        ('aims', '0006_auto_20160816_0736'),
    ]

    operations = [
        migrations.RunPython(add_dac5_vocabulary, reverse_code=delete_dac5_vocabulary)
    ]
