# -*- coding: utf-8 -*-
# Generated by Django 1.9.11 on 2017-01-27 06:12
from __future__ import unicode_literals

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('aims', '0006_auto_20160816_0736'),
    ]

    operations = [
        migrations.CreateModel(
            name='IATISourceRef',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ref', models.CharField(max_length=70)),
                ('title', models.CharField(default='', max_length=255)),
                ('type', models.IntegerField(choices=[(1, 'Activity Files'), (2, 'Organisation Files')], default=1)),
                ('url', models.CharField(max_length=255, unique=True)),
                ('date_created', models.DateTimeField(auto_now_add=True)),
                ('date_updated', models.DateTimeField(auto_now_add=True)),
                ('last_found_in_registry', models.DateTimeField(default=None, null=True)),
                ('activity_count', models.IntegerField(default=None, null=True)),
                ('iati_standard_version', models.CharField(default='', max_length=10)),
                ('is_parsed', models.BooleanField(default=False)),
            ],
            options={
                'verbose_name_plural': 'IATI XML sources',
                'ordering': ['ref'],
            },
        ),
        migrations.AlterField(
            model_name='activity',
            name='openly_status',
            field=models.CharField(choices=[('iatixml', 'IATI XML'), ('draft', 'Draft'), ('published', 'Published'), ('archived', 'Archived')], default='iatixml', max_length=12),
        ),
        migrations.AlterField(
            model_name='activitytotalbudgetusd',
            name='activity',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='total_budget_in', to='iati.Activity', verbose_name='Activity Budget in USD'),
        ),
        migrations.AlterField(
            model_name='transaction',
            name='openly_status',
            field=models.CharField(choices=[('iatixml', 'IATI XML'), ('draft', 'Draft'), ('published', 'Published'), ('archived', 'Archived')], default='iatixml', max_length=12),
        ),
        migrations.AlterField(
            model_name='transactionvalueusd',
            name='transaction',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='value_in', to='iati.Transaction', verbose_name='Transaction Value in USD'),
        ),
    ]
