# -*- coding: utf-8 -*-
# Generated by Django 1.9.13 on 2017-08-08 02:58
from __future__ import unicode_literals

from django.core.management import call_command
from django.db import migrations, models


def load_fixture(apps, schema_editor):
    call_command('loaddata_iati_required', revision='0041')


class Migration(migrations.Migration):

    dependencies = [
        ('aims', '0040_merge'),
        ('iati', '0019_aimsy_organisationroles')  # iati has already renamed its db
    ]

    state_operations = [
        migrations.CreateModel(
            name='OrganisationRole',
            fields=[
                ('code', models.CharField(max_length=20, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=20)),
                ('description', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='Language',
            fields=[
                ('code', models.CharField(max_length=2, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=80)),
            ],
        ),
    ]

    operations = [
        # By running only state operations, we are making Django think it has
        # applied this migration to the database.
        migrations.SeparateDatabaseAndState(None, state_operations),
        migrations.RunPython(load_fixture)
    ]
