# -*- coding: utf-8 -*-
# Generated by Django 1.9.13 on 2017-08-24 08:34
from __future__ import unicode_literals

from django.db import migrations, models
from django.db.migrations import SeparateDatabaseAndState
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('aims', '0043_iati_to_aims_premove'),
        ('iati', '0023_iati_to_aims_altertables'),
    ]

    # Every 'aims' model to be created is listed here
    # The tables already existed as 'iati' models so we must not run any DB code,
    # simply updating the Django internal state to tell it about the new models
    # Of course, must correspond to what is in aims.models (mostly copy/pasted from iati.models)
    create_model_operations = [
        migrations.CreateModel(
            name='BudgetIdentifier',
            fields=[
                ('code', models.CharField(max_length=20, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=160)),
                ('category', models.CharField(max_length=120)),
                ('sector', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='BudgetIdentifierSectorCategory',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=160)),
            ],
        ),
        migrations.CreateModel(
            name='BudgetIdentifierSector',
            fields=[
                ('code', models.CharField(max_length=20, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=160)),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='aims.BudgetIdentifierSectorCategory')),
            ],
        ),
        migrations.CreateModel(
            name='BudgetIdentifierVocabulary',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='ContactType',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=40)),
            ],
        ),
        migrations.CreateModel(
            name='CountryBudgetItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('vocabulary_text', models.CharField(default='', max_length=255)),
                ('code', models.CharField(default='', max_length=50)),
                ('percentage', models.DecimalField(decimal_places=2, default=None, max_digits=5, null=True)),
                ('description', models.TextField(default='')),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='aims.Activity')),
                ('vocabulary', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='aims.BudgetIdentifierVocabulary')),
            ],
        ),
        migrations.CreateModel(
            name='CrsAdd',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('aid_type_flag_significance', models.IntegerField(default=None, null=True)),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='aims.Activity')),
                ('aid_type_flag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='aims.AidTypeFlag')),
            ],
        ),
        migrations.CreateModel(
            name='CrsAddLoanStatus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('year', models.IntegerField(default=None, null=True)),
                ('value_date', models.DateField(default=None, null=True)),
                ('interest_received', models.DecimalField(decimal_places=2, default=None, max_digits=15, null=True)),
                ('principal_outstanding', models.DecimalField(decimal_places=2, default=None, max_digits=15, null=True)),
                ('principal_arrears', models.DecimalField(decimal_places=2, default=None, max_digits=15, null=True)),
                ('interest_arrears', models.DecimalField(decimal_places=2, default=None, max_digits=15, null=True)),
                ('crs_add', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='aims.CrsAdd')),
                ('currency', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='aims.Currency')),
            ],
        ),
        migrations.CreateModel(
            name='LoanRepaymentPeriod',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='LoanRepaymentType',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=40)),
            ],
        ),
        migrations.CreateModel(
            name='CrsAddLoanTerms',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rate_1', models.IntegerField(default=None, null=True)),
                ('rate_2', models.IntegerField(default=None, null=True)),
                ('repayment_plan_text', models.TextField(default='')),
                ('commitment_date', models.DateField(default=None, null=True)),
                ('repayment_first_date', models.DateField(default=None, null=True)),
                ('repayment_final_date', models.DateField(default=None, null=True)),
                ('crs_add', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='aims.CrsAdd')),
                ('repayment_plan', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='aims.LoanRepaymentPeriod')),
                ('repayment_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='aims.LoanRepaymentType')),
            ],
        ),
        migrations.CreateModel(
            name='Ffs',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('extraction_date', models.DateField(default=None, null=True)),
                ('priority', models.BooleanField(default=False)),
                ('phaseout_year', models.IntegerField(null=True)),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='aims.Activity')),
            ],
        ),
        migrations.CreateModel(
            name='FfsForecast',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('year', models.IntegerField(null=True)),
                ('value_date', models.DateField(default=None, null=True)),
                ('value', models.DecimalField(decimal_places=2, max_digits=15)),
                ('currency', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='aims.Currency')),
                ('ffs', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='aims.Ffs')),
            ],
        ),
        migrations.CreateModel(
            name='GazetteerAgency',
            fields=[
                ('code', models.CharField(max_length=3, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=80)),
            ],
        ),
        migrations.CreateModel(
            name='GeographicalPrecision',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=80)),
                ('description', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='GeographicExactness',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=160)),
                ('description', models.TextField(default='')),
                ('category', models.CharField(max_length=50)),
                ('url', models.TextField(default='')),
            ],
        ),
        migrations.CreateModel(
            name='GeographicLocationReach',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=80)),
            ],
        ),
        migrations.CreateModel(
            name='GeographicVocabulary',
            fields=[
                ('code', models.CharField(max_length=20, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255)),
                ('description', models.TextField(default='')),
                ('category', models.CharField(max_length=50)),
                ('url', models.TextField(default='')),
            ],
        ),
        migrations.CreateModel(
            name='OrganisationIdentifier',
            fields=[
                ('code', models.CharField(max_length=20, primary_key=True, serialize=False)),
                ('abbreviation', models.CharField(default=None, max_length=30, null=True)),
                ('name', models.CharField(default=None, max_length=250, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='OrganisationRegistrationAgency',
            fields=[
                ('code', models.CharField(max_length=20, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=160)),
                ('description', models.TextField(default='')),
                ('category', models.CharField(max_length=10)),
                ('category_name', models.CharField(max_length=120)),
                ('url', models.TextField(default='')),
            ],
        ),
        migrations.CreateModel(
            name='PublisherType',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='VerificationStatus',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='ValueType',
            fields=[
                ('code', models.CharField(max_length=2, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=40)),
                ('description', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='Title',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(db_index=True, max_length=255)),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='aims.Activity')),
                ('language', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                               to='aims.Language')),
            ],
        ),
        migrations.CreateModel(
            name='Location',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ref', models.CharField(default='', max_length=200)),
                ('name', models.TextField(default='', max_length=1000)),
                ('type_description', models.CharField(default='', max_length=200)),
                ('description', models.TextField(default='')),
                ('activity_description', models.TextField(default='')),
                ('adm_country_adm1', models.CharField(default='', max_length=100)),
                ('adm_country_adm2', models.CharField(default='', max_length=100)),
                ('adm_country_name', models.CharField(default='', max_length=200)),
                ('adm_code', models.CharField(default='', max_length=255)),
                ('adm_level', models.IntegerField(default=None, null=True)),
                ('percentage', models.DecimalField(decimal_places=2, default=None, max_digits=5, null=True)),
                ('latitude', models.CharField(default='', max_length=70)),
                ('longitude', models.CharField(default='', max_length=70)),
                ('gazetteer_entry', models.CharField(default='', max_length=70)),
                ('location_id_code', models.CharField(default='', max_length=255)),
                ('point_srs_name', models.CharField(default='', max_length=255)),
                ('point_pos', models.CharField(default='', max_length=255)),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='aims.Activity')),
                ('adm_country_iso',
                 models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                   to='geodata.Country')),
                ('adm_vocabulary', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                                     related_name='administrative_vocabulary',
                                                     to='aims.GeographicVocabulary')),
                ('description_type',
                 models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                   to='aims.DescriptionType')),
                ('exactness', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                                to='aims.GeographicExactness')),
                ('feature_designation',
                 models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                   related_name='feature_designation', to='aims.LocationType')),
                ('gazetteer_ref', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                                    to='aims.GazetteerAgency')),
                ('location_class', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                                     to='aims.GeographicLocationClass')),
                ('location_id_vocabulary',
                 models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                   related_name='location_id_vocabulary', to='aims.GeographicVocabulary')),
                ('location_reach', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                                     to='aims.GeographicLocationReach')),
                ('precision', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                                to='aims.GeographicalPrecision')),
                ('type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                           related_name='deprecated_location_type', to='aims.LocationType')),
            ],
            options={
                'ordering': ('id',),
            },
        ),
        migrations.CreateModel(
            name='Transaction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description', models.TextField(blank=True, default='', null=True)),
                ('provider_organisation_name', models.CharField(blank=True, default='', max_length=255, null=True)),
                ('provider_activity', models.CharField(max_length=100, null=True)),
                ('receiver_organisation_name', models.CharField(default='', max_length=255)),
                ('transaction_date', models.DateField(default=None, null=True)),
                ('value_date', models.DateField(default=None, null=True)),
                ('value', models.DecimalField(decimal_places=2, max_digits=15)),
                ('ref', models.CharField(default='', max_length=255)),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='aims.Activity')),
                ('aid_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                               to='aims.AidType')),
                ('currency', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                               to='aims.Currency')),
                ('description_type',
                 models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                   to='aims.DescriptionType')),
                ('disbursement_channel',
                 models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                   to='aims.DisbursementChannel')),
                ('finance_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                                   to='aims.FinanceType')),
                ('flow_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                                to='aims.FlowType')),
                ('provider_organisation',
                 models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                   related_name='transaction_providing_organisation', to='aims.Organisation')),
                ('receiver_organisation',
                 models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                   related_name='transaction_receiving_organisation', to='aims.Organisation')),
                ('tied_status', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                                  to='aims.TiedStatus')),
                ('transaction_type',
                 models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                   to='aims.TransactionType')),
            ],
        ),
        migrations.CreateModel(
            name='Activity',
            fields=[
                ('id', models.CharField(max_length=150, primary_key=True, serialize=False)),
                ('iati_identifier', models.CharField(max_length=150)),
                ('hierarchy', models.SmallIntegerField(choices=[(1, 'Parent'), (2, 'Child')], default=1, null=True)),
                ('last_updated_datetime', models.CharField(default='', max_length=100)),
                ('linked_data_uri', models.CharField(blank=True, default='', max_length=100, null=True)),
                ('secondary_publisher', models.BooleanField(default=False)),
                ('start_planned', models.DateField(blank=True, default=None, null=True)),
                ('end_planned', models.DateField(blank=True, default=None, null=True)),
                ('start_actual', models.DateField(blank=True, default=None, null=True)),
                ('end_actual', models.DateField(blank=True, default=None, null=True)),
                ('xml_source_ref', models.CharField(default='', max_length=200)),
                ('total_budget',
                 models.DecimalField(db_index=True, decimal_places=2, default=None, max_digits=15, null=True)),
                ('capital_spend', models.DecimalField(decimal_places=2, default=None, max_digits=5, null=True)),
                ('iati_standard_version', models.CharField(default='', max_length=30)),
                ('activity_status',
                 models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                   to='aims.ActivityStatus')),
                ('collaboration_type',
                 models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                   to='aims.CollaborationType')),
                ('default_aid_type',
                 models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                   to='aims.AidType')),
                ('default_currency',
                 models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                   related_name='default_currency', to='aims.Currency')),
                ('default_finance_type',
                 models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                   to='aims.FinanceType')),
                ('default_flow_type',
                 models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                   to='aims.FlowType')),
                ('default_tied_status',
                 models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                   to='aims.TiedStatus')),
                ('reporting_organisation',
                 models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                   related_name='activity_reporting_organisation', to='aims.Organisation')),
                ('scope', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                            to='aims.ActivityScope')),
                ('total_budget_currency',
                 models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                   related_name='total_budget_currency', to='aims.Currency')),
            ],
            options={
                'verbose_name_plural': 'activities',
            },
        ),
    ]

    alter_fields = [

        migrations.AlterField(
            model_name='ContactInfo',
            name='contact_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                    to='aims.ContactType'),
        ),
        migrations.AlterField(
            model_name='activitywebsite',
            name='activity',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='aims.Activity'),
        ),
        migrations.AlterField(
            model_name='budget',
            name='activity',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='aims.Activity'),
        ),
        migrations.AlterField(
            model_name='contactinfo',
            name='activity',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='aims.Activity'),
        ),
        migrations.AlterField(
            model_name='description',
            name='activity',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='aims.Activity'),
        ),
        migrations.AlterField(
            model_name='otheridentifier',
            name='activity',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='aims.Activity'),
        ),
        migrations.AlterField(
            model_name='transactionvaluelocation',
            name='activity',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                    related_name='transaction_value_for_location', to='aims.Activity'),
        ),
        migrations.AlterField(
            model_name='transactionvaluelocation',
            name='location',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                    related_name='transaction_value_for_location', to='aims.Location'),
        ),
        migrations.AlterField(
            model_name='transactionvaluelocation',
            name='transaction',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                    related_name='transaction_value_for_location', to='aims.Transaction'),
        ),
        migrations.AlterField(
            model_name='transactionvalueusd',
            name='transaction',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='value_in',
                                       to='aims.Transaction', verbose_name='Transaction Value in USD'),
        ),

        migrations.AlterField(
            model_name='activityparticipatingorganisation',
            name='activity',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                    to='aims.activity'),
        ),
        migrations.AlterField(
            model_name='activityrecipientcountry',
            name='activity',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                    to='aims.activity'),
        ),

        migrations.AlterField(
            model_name='activitypolicymarker',
            name='activity',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                    to='aims.activity'),
        ),
        migrations.AlterField(
            model_name='activityrecipientregion',
            name='activity',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                    to='aims.activity'),
        ),
        migrations.AlterField(
            model_name='activitysector',
            name='activity',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                    to='aims.activity'),
        ),


        # migrations.AlterField(
        #     model_name='aidtypeaggregate',
        #     name='activity',
        #     field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
        #                             to='aims.activity'),
        # ),

        migrations.AlterField(
            model_name='condition',
            name='activity',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                    to='aims.activity'),
        ),

        migrations.AlterField(
            model_name='documentlink',
            name='activity',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                    to='aims.activity'),
        ),

        migrations.AlterField(
            model_name='planneddisbursement',
            name='activity',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                    to='aims.activity'),
        ),

        migrations.AlterField(
            model_name='relatedactivity',
            name='activity',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                    to='aims.activity'),
        ),
        migrations.AlterModelManagers(
            name='activity',
            managers=[
                ('cleaner', django.db.models.manager.Manager()),
            ],
        ),
        migrations.AlterField(
            model_name='activityparticipatingorganisation',
            name='activity',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE,
                                    related_name='participating_organisations', to='aims.Activity'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='activitypolicymarker',
            name='activity',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='aims.Activity'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='activityrecipientcountry',
            name='activity',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='aims.Activity'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='activityrecipientregion',
            name='activity',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='aims.Activity'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='activitysector',
            name='activity',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='aims.Activity'),
            preserve_default=False,
        ),

        migrations.AlterField(
            model_name='activityendorsement',
            name='activity',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='aims.Activity'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='activitylogmessage',
            name='activity',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='aims.Activity'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='condition',
            name='activity',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='aims.Activity'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='documentlink',
            name='activity',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='aims.Activity'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='planneddisbursement',
            name='activity',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='aims.Activity'),
            preserve_default=False,
        ),
    ]

    operations = [
        SeparateDatabaseAndState([], create_model_operations),
        migrations.AlterField(
            model_name='activityendorsement',
            name='activity',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='aims.Activity'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='activitylogmessage',
            name='activity',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='aims.Activity'),
            preserve_default=False,
        ),
        SeparateDatabaseAndState([], alter_fields),
    ]
