# -*- coding: utf-8 -*-
# Generated by Django 1.9.13 on 2017-05-10 01:57
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.migrations.operations.special
import django.db.models.deletion


def create_initial_budget_status(apps, *args):
    BudgetStatus = apps.get_model('iati', 'BudgetStatus')
    BudgetStatus.objects.create(code=1, name='Indicative')
    BudgetStatus.objects.create(code=2, name='Committed')


class Migration(migrations.Migration):

    replaces = [('iati', '0002_migration'), ('iati', '0003_auto_20160823_1800'), ('iati', '0004_auto_20160826_1802'), ('iati', '0005_auto_20160901_0034'), ('iati', '0006_auto_20160923_1348'), ('iati', '0007_auto_20170120_1023'), ('iati', '0008_auto_20170202_1422'), ('iati', '0009_auto_20170330_1133'), ('iati', '0009_categories_and_date_20170404_1556'), ('iati', '0010_auto_20170405_1033'), ('iati', '0011_auto_20170418_1526'), ('iati', '0012_auto_20170509_1432')]

    dependencies = [
        ('geodata', '0001_initial'),
        ('iati', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Activity',
            fields=[
                ('id', models.CharField(max_length=150, primary_key=True, serialize=False)),
                ('iati_identifier', models.CharField(max_length=150)),
                ('hierarchy', models.SmallIntegerField(choices=[(1, 'Parent'), (2, 'Child')], default=1, null=True)),
                ('last_updated_datetime', models.CharField(default='', max_length=100)),
                ('linked_data_uri', models.CharField(default='', max_length=100)),
                ('secondary_publisher', models.BooleanField(default=False)),
                ('start_planned', models.DateField(blank=True, default=None, null=True)),
                ('end_planned', models.DateField(blank=True, default=None, null=True)),
                ('start_actual', models.DateField(blank=True, default=None, null=True)),
                ('end_actual', models.DateField(blank=True, default=None, null=True)),
                ('xml_source_ref', models.CharField(default='', max_length=200)),
                ('total_budget', models.DecimalField(db_index=True, decimal_places=2, default=None, max_digits=15, null=True)),
                ('capital_spend', models.DecimalField(decimal_places=2, default=None, max_digits=5, null=True)),
                ('iati_standard_version', models.CharField(default='', max_length=30)),
            ],
            options={
                'verbose_name_plural': 'activities',
            },
        ),
        migrations.CreateModel(
            name='ActivityDateType',
            fields=[
                ('code', models.CharField(max_length=20, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='ActivityParticipatingOrganisation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField(default='')),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='participating_organisations', to='iati.Activity')),
            ],
        ),
        migrations.CreateModel(
            name='ActivityPolicyMarker',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('alt_policy_marker', models.CharField(default='', max_length=200)),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.Activity')),
            ],
        ),
        migrations.CreateModel(
            name='ActivityRecipientCountry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('percentage', models.DecimalField(decimal_places=2, default=None, max_digits=5, null=True)),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.Activity')),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='geodata.Country')),
            ],
        ),
        migrations.CreateModel(
            name='ActivityRecipientRegion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('percentage', models.DecimalField(decimal_places=2, default=None, max_digits=5, null=True)),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.Activity')),
                ('region', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='geodata.Region')),
                ('region_vocabulary', models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='iati.RegionVocabulary')),
            ],
        ),
        migrations.CreateModel(
            name='ActivityScope',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='ActivitySector',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('alt_sector_name', models.CharField(default='', max_length=200)),
                ('percentage', models.DecimalField(decimal_places=2, default=None, max_digits=5, null=True)),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.Activity')),
            ],
        ),
        migrations.CreateModel(
            name='ActivityStatus',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=50)),
                ('language', models.CharField(max_length=2)),
            ],
        ),
        migrations.CreateModel(
            name='ActivityWebsite',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.CharField(max_length=150)),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.Activity')),
            ],
        ),
        migrations.CreateModel(
            name='AidType',
            fields=[
                ('code', models.CharField(max_length=3, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=200)),
                ('description', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='AidTypeCategory',
            fields=[
                ('code', models.CharField(max_length=3, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=200)),
                ('description', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='AidTypeFlag',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Budget',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('period_start', models.DateField(blank=True, default=None, null=True)),
                ('period_end', models.DateField(blank=True, default=None, null=True)),
                ('value', models.DecimalField(decimal_places=2, max_digits=15)),
                ('value_date', models.DateField(default=None, null=True)),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.Activity')),
            ],
        ),
        migrations.CreateModel(
            name='BudgetIdentifier',
            fields=[
                ('code', models.CharField(max_length=20, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=160)),
                ('category', models.CharField(max_length=120)),
                ('sector', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='BudgetIdentifierSector',
            fields=[
                ('code', models.CharField(max_length=20, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=160)),
            ],
        ),
        migrations.CreateModel(
            name='BudgetIdentifierSectorCategory',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=160)),
            ],
        ),
        migrations.CreateModel(
            name='BudgetIdentifierVocabulary',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='BudgetType',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=20)),
                ('language', models.CharField(max_length=2)),
            ],
        ),
        migrations.CreateModel(
            name='CollaborationType',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100)),
                ('description', models.TextField()),
                ('language', models.CharField(max_length=2)),
            ],
        ),
        migrations.CreateModel(
            name='Condition',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.TextField(default='')),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.Activity')),
            ],
        ),
        migrations.CreateModel(
            name='ConditionType',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=40)),
                ('language', models.CharField(max_length=2)),
            ],
        ),
        migrations.CreateModel(
            name='ContactInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('person_name', models.CharField(default='', max_length=100)),
                ('organisation', models.CharField(default='', max_length=100)),
                ('telephone', models.CharField(default='', max_length=100)),
                ('email', models.TextField(default='')),
                ('mailing_address', models.TextField(default='')),
                ('website', models.CharField(default='', max_length=255)),
                ('job_title', models.CharField(default='', max_length=150)),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.Activity')),
            ],
        ),
        migrations.CreateModel(
            name='ContactType',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=40)),
            ],
        ),
        migrations.CreateModel(
            name='CountryBudgetItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('vocabulary_text', models.CharField(default='', max_length=255)),
                ('code', models.CharField(default='', max_length=50)),
                ('percentage', models.DecimalField(decimal_places=2, default=None, max_digits=5, null=True)),
                ('description', models.TextField(default='')),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.Activity')),
                ('vocabulary', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.BudgetIdentifierVocabulary')),
            ],
        ),
        migrations.CreateModel(
            name='CrsAdd',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('aid_type_flag_significance', models.IntegerField(default=None, null=True)),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.Activity')),
                ('aid_type_flag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.AidTypeFlag')),
            ],
        ),
        migrations.CreateModel(
            name='CrsAddLoanStatus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('year', models.IntegerField(default=None, null=True)),
                ('value_date', models.DateField(default=None, null=True)),
                ('interest_received', models.DecimalField(decimal_places=2, default=None, max_digits=15, null=True)),
                ('principal_outstanding', models.DecimalField(decimal_places=2, default=None, max_digits=15, null=True)),
                ('principal_arrears', models.DecimalField(decimal_places=2, default=None, max_digits=15, null=True)),
                ('interest_arrears', models.DecimalField(decimal_places=2, default=None, max_digits=15, null=True)),
                ('crs_add', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.CrsAdd')),
            ],
        ),
        migrations.CreateModel(
            name='CrsAddLoanTerms',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rate_1', models.IntegerField(default=None, null=True)),
                ('rate_2', models.IntegerField(default=None, null=True)),
                ('repayment_plan_text', models.TextField(default='')),
                ('commitment_date', models.DateField(default=None, null=True)),
                ('repayment_first_date', models.DateField(default=None, null=True)),
                ('repayment_final_date', models.DateField(default=None, null=True)),
                ('crs_add', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.CrsAdd')),
            ],
        ),
        migrations.CreateModel(
            name='Currency',
            fields=[
                ('code', models.CharField(max_length=3, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100)),
                ('language', models.CharField(max_length=2)),
            ],
        ),
        migrations.CreateModel(
            name='Description',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description', models.TextField(default='', max_length=40000)),
                ('rsr_description_type_id', models.IntegerField(default=None, null=True)),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.Activity')),
            ],
        ),
        migrations.CreateModel(
            name='DescriptionType',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=50)),
                ('description', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='DisbursementChannel',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='DocumentCategory',
            fields=[
                ('code', models.CharField(max_length=3, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100)),
                ('description', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='DocumentCategoryCategory',
            fields=[
                ('code', models.CharField(max_length=3, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='DocumentLink',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.TextField(max_length=500)),
                ('title', models.CharField(default='', max_length=255)),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.Activity')),
            ],
        ),
        migrations.CreateModel(
            name='Ffs',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('extraction_date', models.DateField(default=None, null=True)),
                ('priority', models.BooleanField(default=False)),
                ('phaseout_year', models.IntegerField(null=True)),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.Activity')),
            ],
        ),
        migrations.CreateModel(
            name='FfsForecast',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('year', models.IntegerField(null=True)),
                ('value_date', models.DateField(default=None, null=True)),
                ('value', models.DecimalField(decimal_places=2, max_digits=15)),
                ('currency', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.Currency')),
                ('ffs', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.Ffs')),
            ],
        ),
        migrations.CreateModel(
            name='FileFormat',
            fields=[
                ('code', models.CharField(max_length=100, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='FinanceType',
            fields=[
                ('code', models.IntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=220)),
            ],
        ),
        migrations.CreateModel(
            name='FinanceTypeCategory',
            fields=[
                ('code', models.IntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=50)),
                ('description', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='FlowType',
            fields=[
                ('code', models.IntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=150)),
                ('description', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='GazetteerAgency',
            fields=[
                ('code', models.CharField(max_length=3, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=80)),
            ],
        ),
        migrations.CreateModel(
            name='GeographicalPrecision',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=80)),
                ('description', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='GeographicExactness',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=160)),
                ('description', models.TextField(default='')),
                ('category', models.CharField(max_length=50)),
                ('url', models.TextField(default='')),
            ],
        ),
        migrations.CreateModel(
            name='GeographicLocationClass',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='GeographicLocationReach',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=80)),
            ],
        ),
        migrations.CreateModel(
            name='GeographicVocabulary',
            fields=[
                ('code', models.CharField(max_length=20, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255)),
                ('description', models.TextField(default='')),
                ('category', models.CharField(max_length=50)),
                ('url', models.TextField(default='')),
            ],
        ),
        migrations.CreateModel(
            name='Language',
            fields=[
                ('code', models.CharField(max_length=2, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=80)),
            ],
        ),
        migrations.CreateModel(
            name='LoanRepaymentPeriod',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='LoanRepaymentType',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=40)),
            ],
        ),
        migrations.CreateModel(
            name='Location',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ref', models.CharField(default='', max_length=200)),
                ('name', models.TextField(default='', max_length=1000)),
                ('type_description', models.CharField(default='', max_length=200)),
                ('description', models.TextField(default='')),
                ('activity_description', models.TextField(default='')),
                ('adm_country_adm1', models.CharField(default='', max_length=100)),
                ('adm_country_adm2', models.CharField(default='', max_length=100)),
                ('adm_country_name', models.CharField(default='', max_length=200)),
                ('adm_code', models.CharField(default='', max_length=255)),
                ('adm_level', models.IntegerField(default=None, null=True)),
                ('percentage', models.DecimalField(decimal_places=2, default=None, max_digits=5, null=True)),
                ('latitude', models.CharField(default='', max_length=70)),
                ('longitude', models.CharField(default='', max_length=70)),
                ('gazetteer_entry', models.CharField(default='', max_length=70)),
                ('location_id_code', models.CharField(default='', max_length=255)),
                ('point_srs_name', models.CharField(default='', max_length=255)),
                ('point_pos', models.CharField(default='', max_length=255)),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.Activity')),
                ('adm_country_iso', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='geodata.Country')),
                ('adm_vocabulary', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='administrative_vocabulary', to='iati.GeographicVocabulary')),
                ('description_type', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.DescriptionType')),
                ('exactness', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.GeographicExactness')),
            ],
        ),
        migrations.CreateModel(
            name='LocationType',
            fields=[
                ('code', models.CharField(max_length=10, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100)),
                ('description', models.TextField(default='')),
            ],
        ),
        migrations.CreateModel(
            name='LocationTypeCategory',
            fields=[
                ('code', models.CharField(max_length=10, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Organisation',
            fields=[
                ('code', models.CharField(max_length=80, primary_key=True, serialize=False)),
                ('abbreviation', models.CharField(default='', max_length=80)),
                ('reported_by_organisation', models.CharField(default='', max_length=100)),
                ('name', models.CharField(default='', max_length=250)),
                ('original_ref', models.CharField(default='', max_length=80)),
            ],
        ),
        migrations.CreateModel(
            name='OrganisationIdentifier',
            fields=[
                ('code', models.CharField(max_length=20, primary_key=True, serialize=False)),
                ('abbreviation', models.CharField(default=None, max_length=30, null=True)),
                ('name', models.CharField(default=None, max_length=250, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='OrganisationRegistrationAgency',
            fields=[
                ('code', models.CharField(max_length=20, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=160)),
                ('description', models.TextField(default='')),
                ('category', models.CharField(max_length=10)),
                ('category_name', models.CharField(max_length=120)),
                ('url', models.TextField(default='')),
            ],
        ),
        migrations.CreateModel(
            name='OrganisationRole',
            fields=[
                ('code', models.CharField(max_length=20, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=20)),
                ('description', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='OrganisationType',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='OtherIdentifier',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('owner_ref', models.CharField(default='', max_length=100)),
                ('owner_name', models.CharField(default='', max_length=100)),
                ('identifier', models.CharField(max_length=100)),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.Activity')),
            ],
        ),
        migrations.CreateModel(
            name='PlannedDisbursement',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('period_start', models.CharField(default='', max_length=100)),
                ('period_end', models.CharField(default='', max_length=100)),
                ('value_date', models.DateField(null=True)),
                ('value', models.DecimalField(decimal_places=2, max_digits=15)),
                ('updated', models.DateField(default=None, null=True)),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.Activity')),
                ('currency', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.Currency')),
            ],
        ),
        migrations.CreateModel(
            name='PolicyMarker',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='PolicySignificance',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100)),
                ('description', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='PublisherType',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='RelatedActivity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ref', models.CharField(default='', max_length=200)),
                ('text', models.TextField(default='')),
                ('current_activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='related_activities', to='iati.Activity')),
            ],
        ),
        migrations.CreateModel(
            name='RelatedActivityType',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=20)),
                ('description', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='Result',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(default='', max_length=255)),
                ('description', models.TextField(default='')),
                ('aggregation_status', models.BooleanField(default=False)),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='results', to='iati.Activity')),
            ],
        ),
        migrations.CreateModel(
            name='ResultIndicator',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(default='', max_length=200)),
                ('description', models.TextField(default='')),
                ('baseline_year', models.IntegerField()),
                ('baseline_value', models.CharField(max_length=100)),
                ('comment', models.TextField(default='')),
            ],
        ),
        migrations.CreateModel(
            name='ResultIndicatorMeasure',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=40)),
            ],
        ),
        migrations.CreateModel(
            name='ResultIndicatorPeriod',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('period_start', models.CharField(default='', max_length=50)),
                ('period_end', models.CharField(default='', max_length=50)),
                ('planned_disbursement_period_start', models.CharField(default='', max_length=50)),
                ('planned_disbursement_period_end', models.CharField(default='', max_length=50)),
                ('target', models.CharField(default='', max_length=50)),
                ('actual', models.CharField(default='', max_length=50)),
                ('result_indicator', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.ResultIndicator')),
            ],
        ),
        migrations.CreateModel(
            name='ResultType',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='Sector',
            fields=[
                ('code', models.IntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100)),
                ('description', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='SectorCategory',
            fields=[
                ('code', models.IntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100)),
                ('description', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='TiedStatus',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=40)),
                ('description', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='Title',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(db_index=True, max_length=255)),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.Activity')),
                ('language', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.Language')),
            ],
        ),
        migrations.CreateModel(
            name='Transaction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description', models.TextField(default='')),
                ('provider_organisation_name', models.CharField(default='', max_length=255)),
                ('provider_activity', models.CharField(max_length=100, null=True)),
                ('receiver_organisation_name', models.CharField(default='', max_length=255)),
                ('transaction_date', models.DateField(default=None, null=True)),
                ('value_date', models.DateField(default=None, null=True)),
                ('value', models.DecimalField(decimal_places=2, max_digits=15)),
                ('ref', models.CharField(default='', max_length=255)),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.Activity')),
                ('aid_type', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.AidType')),
                ('currency', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.Currency')),
                ('description_type', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.DescriptionType')),
                ('disbursement_channel', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.DisbursementChannel')),
                ('finance_type', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.FinanceType')),
                ('flow_type', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.FlowType')),
                ('provider_organisation', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='transaction_providing_organisation', to='iati.Organisation')),
                ('receiver_organisation', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='transaction_receiving_organisation', to='iati.Organisation')),
                ('tied_status', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.TiedStatus')),
            ],
        ),
        migrations.CreateModel(
            name='TransactionType',
            fields=[
                ('code', models.CharField(max_length=2, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=40)),
                ('description', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='ValueType',
            fields=[
                ('code', models.CharField(max_length=2, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=40)),
                ('description', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='VerificationStatus',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='Vocabulary',
            fields=[
                ('code', models.CharField(max_length=10, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=140)),
            ],
        ),
        migrations.AddField(
            model_name='transaction',
            name='transaction_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.TransactionType'),
        ),
        migrations.AddField(
            model_name='sector',
            name='category',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.SectorCategory'),
        ),
        migrations.AddField(
            model_name='resultindicator',
            name='measure',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.ResultIndicatorMeasure'),
        ),
        migrations.AddField(
            model_name='resultindicator',
            name='result',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.Result'),
        ),
        migrations.AddField(
            model_name='result',
            name='result_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.ResultType'),
        ),
        migrations.AddField(
            model_name='relatedactivity',
            name='type',
            field=models.ForeignKey(blank=True, max_length=200, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.RelatedActivityType'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.OrganisationType'),
        ),
        migrations.AddField(
            model_name='locationtype',
            name='category',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.LocationTypeCategory'),
        ),
        migrations.AddField(
            model_name='location',
            name='feature_designation',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='feature_designation', to='iati.LocationType'),
        ),
        migrations.AddField(
            model_name='location',
            name='gazetteer_ref',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.GazetteerAgency'),
        ),
        migrations.AddField(
            model_name='location',
            name='location_class',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.GeographicLocationClass'),
        ),
        migrations.AddField(
            model_name='location',
            name='location_id_vocabulary',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='location_id_vocabulary', to='iati.GeographicVocabulary'),
        ),
        migrations.AddField(
            model_name='location',
            name='location_reach',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.GeographicLocationReach'),
        ),
        migrations.AddField(
            model_name='location',
            name='precision',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.GeographicalPrecision'),
        ),
        migrations.AddField(
            model_name='location',
            name='type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='deprecated_location_type', to='iati.LocationType'),
        ),
        migrations.AddField(
            model_name='financetype',
            name='category',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.FinanceTypeCategory'),
        ),
        migrations.AddField(
            model_name='documentlink',
            name='file_format',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.FileFormat'),
        ),
        migrations.AddField(
            model_name='documentcategory',
            name='category',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.DocumentCategoryCategory'),
        ),
        migrations.AddField(
            model_name='description',
            name='language',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.Language'),
        ),
        migrations.AddField(
            model_name='description',
            name='type',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='description_type', to='iati.DescriptionType'),
        ),
        migrations.AddField(
            model_name='crsaddloanterms',
            name='repayment_plan',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.LoanRepaymentPeriod'),
        ),
        migrations.AddField(
            model_name='crsaddloanterms',
            name='repayment_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.LoanRepaymentType'),
        ),
        migrations.AddField(
            model_name='crsaddloanstatus',
            name='currency',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.Currency'),
        ),
        migrations.AddField(
            model_name='contactinfo',
            name='contact_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.ContactType'),
        ),
        migrations.AddField(
            model_name='condition',
            name='type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.ConditionType'),
        ),
        migrations.AddField(
            model_name='budgetidentifiersector',
            name='category',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.BudgetIdentifierSectorCategory'),
        ),
        migrations.AddField(
            model_name='budget',
            name='currency',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.Currency'),
        ),
        migrations.AddField(
            model_name='budget',
            name='type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.BudgetType'),
        ),
        migrations.AddField(
            model_name='aidtype',
            name='category',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iati.AidTypeCategory'),
        ),
        migrations.AddField(
            model_name='activitysector',
            name='sector',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.Sector'),
        ),
        migrations.AddField(
            model_name='activitysector',
            name='vocabulary',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.Vocabulary'),
        ),
        migrations.AddField(
            model_name='activitypolicymarker',
            name='policy_marker',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.PolicyMarker'),
        ),
        migrations.AddField(
            model_name='activitypolicymarker',
            name='policy_significance',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.PolicySignificance'),
        ),
        migrations.AddField(
            model_name='activitypolicymarker',
            name='vocabulary',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.Vocabulary'),
        ),
        migrations.AddField(
            model_name='activityparticipatingorganisation',
            name='organisation',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.Organisation'),
        ),
        migrations.AddField(
            model_name='activityparticipatingorganisation',
            name='role',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.OrganisationRole'),
        ),
        migrations.AddField(
            model_name='activity',
            name='activity_status',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.ActivityStatus'),
        ),
        migrations.AddField(
            model_name='activity',
            name='collaboration_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.CollaborationType'),
        ),
        migrations.AddField(
            model_name='activity',
            name='default_aid_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.AidType'),
        ),
        migrations.AddField(
            model_name='activity',
            name='default_currency',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='default_currency', to='iati.Currency'),
        ),
        migrations.AddField(
            model_name='activity',
            name='default_finance_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.FinanceType'),
        ),
        migrations.AddField(
            model_name='activity',
            name='default_flow_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.FlowType'),
        ),
        migrations.AddField(
            model_name='activity',
            name='default_tied_status',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.TiedStatus'),
        ),
        migrations.AddField(
            model_name='activity',
            name='participating_organisation',
            field=models.ManyToManyField(through='iati.ActivityParticipatingOrganisation', to='iati.Organisation'),
        ),
        migrations.AddField(
            model_name='activity',
            name='policy_marker',
            field=models.ManyToManyField(through='iati.ActivityPolicyMarker', to='iati.PolicyMarker'),
        ),
        migrations.AddField(
            model_name='activity',
            name='recipient_country',
            field=models.ManyToManyField(through='iati.ActivityRecipientCountry', to='geodata.Country'),
        ),
        migrations.AddField(
            model_name='activity',
            name='recipient_region',
            field=models.ManyToManyField(through='iati.ActivityRecipientRegion', to='geodata.Region'),
        ),
        migrations.AddField(
            model_name='activity',
            name='reporting_organisation',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='activity_reporting_organisation', to='iati.Organisation'),
        ),
        migrations.AddField(
            model_name='activity',
            name='scope',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.ActivityScope'),
        ),
        migrations.AddField(
            model_name='activity',
            name='sector',
            field=models.ManyToManyField(through='iati.ActivitySector', to='iati.Sector'),
        ),
        migrations.AddField(
            model_name='activity',
            name='total_budget_currency',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='total_budget_currency', to='iati.Currency'),
        ),
        migrations.AlterUniqueTogether(
            name='activityparticipatingorganisation',
            unique_together=set([('activity', 'organisation', 'role')]),
        ),
        migrations.AlterUniqueTogether(
            name='activitysector',
            unique_together=set([('activity', 'sector')]),
        ),
        migrations.AlterUniqueTogether(
            name='description',
            unique_together=set([('activity', 'type', 'language')]),
        ),
        migrations.AlterField(
            model_name='activityparticipatingorganisation',
            name='organisation',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.Organisation'),
        ),
        migrations.AlterField(
            model_name='activityparticipatingorganisation',
            name='role',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.OrganisationRole'),
        ),
        migrations.AlterField(
            model_name='activitysector',
            name='sector',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.Sector'),
        ),
        migrations.AlterField(
            model_name='description',
            name='language',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.Language'),
        ),
        migrations.AlterField(
            model_name='description',
            name='type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='description_type', to='iati.DescriptionType'),
        ),
        migrations.AlterField(
            model_name='location',
            name='adm_country_iso',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='geodata.Country'),
        ),
        migrations.AlterField(
            model_name='location',
            name='adm_vocabulary',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='administrative_vocabulary', to='iati.GeographicVocabulary'),
        ),
        migrations.AlterField(
            model_name='location',
            name='description_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.DescriptionType'),
        ),
        migrations.AlterField(
            model_name='location',
            name='exactness',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.GeographicExactness'),
        ),
        migrations.AlterField(
            model_name='transaction',
            name='aid_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.AidType'),
        ),
        migrations.AlterField(
            model_name='transaction',
            name='currency',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.Currency'),
        ),
        migrations.AlterField(
            model_name='transaction',
            name='description_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.DescriptionType'),
        ),
        migrations.AlterField(
            model_name='transaction',
            name='disbursement_channel',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.DisbursementChannel'),
        ),
        migrations.AlterField(
            model_name='transaction',
            name='finance_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.FinanceType'),
        ),
        migrations.AlterField(
            model_name='transaction',
            name='flow_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.FlowType'),
        ),
        migrations.AlterField(
            model_name='transaction',
            name='provider_organisation',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='transaction_providing_organisation', to='iati.Organisation'),
        ),
        migrations.AlterField(
            model_name='transaction',
            name='receiver_organisation',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='transaction_receiving_organisation', to='iati.Organisation'),
        ),
        migrations.AlterField(
            model_name='transaction',
            name='tied_status',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.TiedStatus'),
        ),
        migrations.AlterModelOptions(
            name='location',
            options={'ordering': ('id',)},
        ),
        migrations.AlterField(
            model_name='activity',
            name='linked_data_uri',
            field=models.CharField(blank=True, default='', max_length=100, null=True),
        ),
        migrations.AlterField(
            model_name='activitypolicymarker',
            name='alt_policy_marker',
            field=models.CharField(blank=True, default='', max_length=200, null=True),
        ),
        migrations.AlterField(
            model_name='transaction',
            name='description',
            field=models.TextField(blank=True, default='', null=True),
        ),
        migrations.AlterField(
            model_name='transaction',
            name='provider_organisation_name',
            field=models.CharField(blank=True, default='', max_length=255, null=True),
        ),
        migrations.AddField(
            model_name='activitystatus',
            name='name_en',
            field=models.CharField(max_length=50, null=True),
        ),
        migrations.AddField(
            model_name='activitystatus',
            name='name_tm',
            field=models.CharField(max_length=50, null=True),
        ),
        migrations.AddField(
            model_name='organisation',
            name='name_en',
            field=models.CharField(max_length=250, null=True),
        ),
        migrations.AddField(
            model_name='organisation',
            name='name_tm',
            field=models.CharField(max_length=250, null=True),
        ),
        migrations.AddField(
            model_name='sector',
            name='name_en',
            field=models.CharField(max_length=100, null=True),
        ),
        migrations.AddField(
            model_name='sector',
            name='name_tm',
            field=models.CharField(max_length=100, null=True),
        ),
        migrations.AddField(
            model_name='sectorcategory',
            name='name_en',
            field=models.CharField(max_length=100, null=True),
        ),
        migrations.AddField(
            model_name='sectorcategory',
            name='name_tm',
            field=models.CharField(max_length=100, null=True),
        ),
        migrations.AddField(
            model_name='documentlink',
            name='iso_date',
            field=models.DateField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='documentlink',
            name='categories',
            field=models.ManyToManyField(to='iati.DocumentCategory'),
        ),
        migrations.AddField(
            model_name='documentlink',
            name='language',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='iati.Language'),
        ),
        migrations.AlterField(
            model_name='organisation',
            name='name_en',
            field=models.CharField(default='', max_length=250, null=True),
        ),
        migrations.AlterField(
            model_name='organisation',
            name='name_tm',
            field=models.CharField(default='', max_length=250, null=True),
        ),
        migrations.AddField(
            model_name='activitystatus',
            name='name_my',
            field=models.CharField(max_length=50, null=True),
        ),
        migrations.AddField(
            model_name='activitystatus',
            name='name_ru',
            field=models.CharField(max_length=50, null=True),
        ),
        migrations.AddField(
            model_name='activitystatus',
            name='name_uz',
            field=models.CharField(max_length=50, null=True),
        ),
        migrations.AddField(
            model_name='organisation',
            name='name_my',
            field=models.CharField(default='', max_length=250, null=True),
        ),
        migrations.AddField(
            model_name='organisation',
            name='name_ru',
            field=models.CharField(default='', max_length=250, null=True),
        ),
        migrations.AddField(
            model_name='organisation',
            name='name_uz',
            field=models.CharField(default='', max_length=250, null=True),
        ),
        migrations.AddField(
            model_name='sector',
            name='name_my',
            field=models.CharField(max_length=100, null=True),
        ),
        migrations.AddField(
            model_name='sector',
            name='name_ru',
            field=models.CharField(max_length=100, null=True),
        ),
        migrations.AddField(
            model_name='sector',
            name='name_uz',
            field=models.CharField(max_length=100, null=True),
        ),
        migrations.AddField(
            model_name='sectorcategory',
            name='name_my',
            field=models.CharField(max_length=100, null=True),
        ),
        migrations.AddField(
            model_name='sectorcategory',
            name='name_ru',
            field=models.CharField(max_length=100, null=True),
        ),
        migrations.AddField(
            model_name='sectorcategory',
            name='name_uz',
            field=models.CharField(max_length=100, null=True),
        ),
        migrations.CreateModel(
            name='BudgetStatus',
            fields=[
                ('code', models.SmallIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=20)),
            ],
        ),
        migrations.RunPython(
            code=create_initial_budget_status,
            reverse_code=django.db.migrations.operations.special.RunPython.noop,
        ),
        migrations.AddField(
            model_name='budget',
            name='status',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='iati.BudgetStatus'),
        ),
    ]
