# -*- coding: utf-8 -*-
# Generated by Django 1.9.13 on 2017-08-10 01:51
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
from django.db.migrations import SeparateDatabaseAndState


class Migration(migrations.Migration):

    dependencies = [
        ('iati', '0021_iati_to_aims_altertables'), ('aims', '0042_iati_to_aims'), ('geodata', '0003_iati_to_aims_fks')
    ]

    state_operations = [
        migrations.DeleteModel('ActivityScope'),
        migrations.DeleteModel('ActivityStatus'),
        migrations.DeleteModel('CollaborationType'),
        migrations.DeleteModel('FinanceType'),
        migrations.DeleteModel('FinanceTypeCategory'),
        migrations.DeleteModel('FlowType'),
        migrations.DeleteModel('RegionVocabulary'),
        migrations.DeleteModel('TiedStatus'),
        migrations.DeleteModel('Vocabulary'),
        migrations.DeleteModel('DescriptionType'),
        migrations.DeleteModel('LocationType'),
        migrations.DeleteModel('LocationTypeCategory'),
        migrations.DeleteModel('GeographicLocationClass'),
        migrations.DeleteModel('DisbursementChannel'),
        migrations.DeleteModel('TransactionType'),
        migrations.DeleteModel('ActivityParticipatingOrganisation'),
        migrations.DeleteModel('ActivityPolicyMarker'),
        migrations.DeleteModel('PolicySignificance'),
        migrations.DeleteModel('ActivityRecipientCountry'),
        migrations.DeleteModel('ActivityRecipientRegion'),
        migrations.DeleteModel('OtherIdentifier'),
        migrations.DeleteModel('ActivityWebsite'),
        migrations.DeleteModel('ContactInfo'),
        migrations.DeleteModel('PlannedDisbursement'),
        migrations.DeleteModel('RelatedActivity'),
        migrations.DeleteModel('RelatedActivityType'),
        migrations.DeleteModel('DocumentCategory'),
        migrations.DeleteModel('DocumentCategoryCategory'),
        migrations.DeleteModel('DocumentLink'),
        migrations.DeleteModel('FileFormat'),
        migrations.DeleteModel('Result'),
        migrations.DeleteModel('ResultType'),
        migrations.DeleteModel('ResultIndicator'),
        migrations.DeleteModel('ResultIndicatorMeasure'),
        migrations.DeleteModel('ResultIndicatorPeriod'),
        migrations.DeleteModel('Description'),
        migrations.DeleteModel('Budget'),
        migrations.DeleteModel('BudgetStatus'),
        migrations.DeleteModel('BudgetType'),
        migrations.DeleteModel('Condition'),
        migrations.DeleteModel('ConditionType'),
    ]

    operations = [
        migrations.AlterField(
            model_name='activity',
            name='activity_status',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='aims.ActivityStatus'),
        ),
        migrations.AlterField(
            model_name='activity',
            name='collaboration_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='aims.CollaborationType'),
        ),
        migrations.AlterField(
            model_name='activity',
            name='default_finance_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='aims.FinanceType'),
        ),
        migrations.AlterField(
            model_name='activity',
            name='default_flow_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='aims.FlowType'),
        ),
        migrations.AlterField(
            model_name='activity',
            name='default_tied_status',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='aims.TiedStatus'),
        ),
        migrations.AlterField(
            model_name='activity',
            name='scope',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='aims.ActivityScope'),
        ),
        migrations.AlterField(
            model_name='activitypolicymarker',
            name='vocabulary',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='aims.Vocabulary'),
        ),
        migrations.AlterField(
            model_name='activityrecipientregion',
            name='region_vocabulary',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='aims.RegionVocabulary'),
        ),
        migrations.AlterField(
            model_name='transaction',
            name='finance_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='aims.FinanceType'),
        ),
        migrations.AlterField(
            model_name='transaction',
            name='flow_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='aims.FlowType'),
        ),
        migrations.AlterField(
            model_name='transaction',
            name='tied_status',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='aims.TiedStatus'),
        ),
        migrations.AlterField(
            model_name='description',
            name='type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                    related_name='description_type', to='aims.DescriptionType'),
        ),
        migrations.AlterField(
            model_name='location',
            name='description_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='aims.DescriptionType'),
        ),
        migrations.AlterField(
            model_name='transaction',
            name='description_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='aims.DescriptionType'),
        ),
        migrations.AlterField(
            model_name='location',
            name='feature_designation',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                    related_name='feature_designation', to='aims.LocationType'),
        ),
        migrations.AlterField(
            model_name='location',
            name='type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                    related_name='deprecated_location_type', to='aims.LocationType'),
        ),
        migrations.AlterField(
            model_name='location',
            name='location_class',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                    to='aims.GeographicLocationClass'),
        ),
        migrations.AlterField(
            model_name='transaction',
            name='disbursement_channel',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                    to='aims.DisbursementChannel'),
        ),
        migrations.AlterField(
            model_name='transaction',
            name='transaction_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                    to='aims.TransactionType'),
        ),
        migrations.AlterField(
            model_name='activity',
            name='participating_organisation',
            field=models.ManyToManyField(through='aims.ActivityParticipatingOrganisation', to='aims.Organisation'),
        ),
        migrations.AlterField(
            model_name='activity',
            name='policy_marker',
            field=models.ManyToManyField(through='aims.ActivityPolicyMarker', to='aims.PolicyMarker'),
        ),
        migrations.AlterField(
            model_name='activity',
            name='recipient_country',
            field=models.ManyToManyField(through='aims.ActivityRecipientCountry', to='geodata.Country'),
        ),
        migrations.AlterField(
            model_name='activity',
            name='recipient_region',
            field=models.ManyToManyField(through='aims.ActivityRecipientRegion', to='geodata.Region'),
        ),
        migrations.AlterField(
            model_name='resultindicator',
            name='result',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='aims.Result'),
        ),
        SeparateDatabaseAndState(None, state_operations)
    ]
