# -*- coding: utf-8 -*-
from setuptools import setup

package_dir = \
{'': 'openly'}

packages = \
['activity_list',
 'activity_list.migrations',
 'activity_profile',
 'activity_profile.migrations',
 'activity_profile.templatetags',
 'aims',
 'aims.api_serializers',
 'aims.common_text',
 'aims.management',
 'aims.management.commands',
 'aims.migrations',
 'aims.oipa_serializers',
 'aims.synchronization',
 'aims.templatetags',
 'dashboard',
 'dashboard.templatetags',
 'dataquality',
 'dataquality.management.commands',
 'dataquality.migrations',
 'editor',
 'editor.migrations',
 'export',
 'export.migrations',
 'gateway',
 'gateway.migrations',
 'gateway.templatetags',
 'geodata',
 'geodata.migrations',
 'iati',
 'iati.migrations',
 'iati_codelists',
 'iati_codelists.migrations',
 'iati_codelists.scripts',
 'iati_codelists.sync',
 'iati_compliance',
 'iati_vocabulary',
 'iati_vocabulary.migrations',
 'oipa',
 'oipa.management',
 'oipa.management.commands',
 'oipa.migrations',
 'partners',
 'partners.migrations',
 'profiles_v2',
 'profiles_v2.management',
 'profiles_v2.management.commands',
 'profiles_v2.middleware',
 'profiles_v2.migrations',
 'profiles_v2.templatetags',
 'resources',
 'resources.migrations',
 'results',
 'results.migrations',
 'search',
 'search.migrations']

package_data = \
{'': ['*'],
 'activity_list': ['locale/my/LC_MESSAGES/django.po',
                   'locale/ru/LC_MESSAGES/django.po',
                   'locale/tm/LC_MESSAGES/django.po',
                   'locale/uz/LC_MESSAGES/django.po',
                   'static/activity_list/*',
                   'templates/activity_list/*',
                   'templates/riottags/*'],
 'activity_profile': ['locale/my/LC_MESSAGES/django.po',
                      'locale/ru/LC_MESSAGES/django.po',
                      'locale/tm/LC_MESSAGES/django.po',
                      'locale/uz/LC_MESSAGES/django.po',
                      'templates/activity_profile/*',
                      'templates/tags/*'],
 'aims': ['fixtures/*',
          'locale/my/LC_MESSAGES/django.po',
          'locale/ru/LC_MESSAGES/django.po',
          'locale/tm/LC_MESSAGES/django.po',
          'locale/uz/LC_MESSAGES/django.po',
          'static/RiotControl/*',
          'static/css/*',
          'static/css/square/*',
          'static/fonts/*',
          'static/geo/*',
          'static/img/*',
          'static/js/*',
          'static/js/hamsters/*',
          'static/js/hamsters/common/*',
          'static/riot3/*',
          'templates/*',
          'templates/aims/admin/*',
          'templates/tags/*'],
 'dashboard': ['locale/my/LC_MESSAGES/django.po',
               'locale/ru/LC_MESSAGES/django.po',
               'locale/tm/LC_MESSAGES/django.po',
               'locale/uz/LC_MESSAGES/django.po',
               'static/js/*',
               'static/leaflet/*',
               'static/leaflet/images/*',
               'static/lodash/*',
               'static/querybuilder/*',
               'static/riot/*',
               'static/sheetjs/*',
               'templates/*',
               'templates/bootstrap3/*',
               'templates/bootstrap3/layout/*',
               'templates/dashboard/*',
               'templates/endless/*',
               'templates/riottags/*'],
 'dataquality': ['templates/dataquality/*'],
 'editor': ['locale/my/LC_MESSAGES/django.po',
            'locale/my/LC_MESSAGES/django.po',
            'locale/my/LC_MESSAGES/djangojs.po',
            'locale/my/LC_MESSAGES/djangojs.po',
            'locale/ru/LC_MESSAGES/django.po',
            'locale/ru/LC_MESSAGES/django.po',
            'locale/ru/LC_MESSAGES/djangojs.po',
            'locale/ru/LC_MESSAGES/djangojs.po',
            'locale/tm/LC_MESSAGES/django.po',
            'locale/tm/LC_MESSAGES/django.po',
            'locale/tm/LC_MESSAGES/djangojs.po',
            'locale/tm/LC_MESSAGES/djangojs.po',
            'locale/uz/LC_MESSAGES/django.po',
            'locale/uz/LC_MESSAGES/django.po',
            'locale/uz/LC_MESSAGES/djangojs.po',
            'locale/uz/LC_MESSAGES/djangojs.po',
            'static/*',
            'static/css/*',
            'static/img/*',
            'static/js/*',
            'static/moment/*',
            'static/select2/*',
            'templates/editor/*',
            'templates/stores/*',
            'templates/tags/*',
            'templates/tags/finances/*'],
 'export': ['locale/my/LC_MESSAGES/django.po',
            'locale/ru/LC_MESSAGES/django.po',
            'locale/tm/LC_MESSAGES/django.po',
            'locale/uz/LC_MESSAGES/django.po',
            'static/css/*',
            'static/js/*',
            'templates/export/*'],
 'gateway': ['locale/my/LC_MESSAGES/django.po',
             'locale/ru/LC_MESSAGES/django.po',
             'locale/tm/LC_MESSAGES/django.po',
             'locale/uz/LC_MESSAGES/django.po',
             'static/js/browser.sentry-cdn.com/5.19.1/*',
             'templates/gateway/*',
             'templates/registration/*'],
 'iati_codelists': ['fixtures/*'],
 'iati_compliance': ['locale/my/LC_MESSAGES/django.po',
                     'locale/ru/LC_MESSAGES/django.po',
                     'locale/tm/LC_MESSAGES/django.po',
                     'locale/uz/LC_MESSAGES/django.po'],
 'iati_vocabulary': ['fixtures/*'],
 'partners': ['locale/my/LC_MESSAGES/django.po',
              'locale/ru/LC_MESSAGES/django.po',
              'locale/tm/LC_MESSAGES/django.po',
              'locale/uz/LC_MESSAGES/django.po',
              'static/bootstrap-toggle/css/*',
              'static/bootstrap-toggle/js/*',
              'static/css/*',
              'static/img/*',
              'templates/partners/*',
              'templates/stores/*',
              'templates/tags/*'],
 'profiles_v2': ['locale/my/LC_MESSAGES/django.po',
                 'locale/ru/LC_MESSAGES/django.po',
                 'locale/tm/LC_MESSAGES/django.po',
                 'locale/tm/LC_MESSAGES/django.po',
                 'locale/tm/LC_MESSAGES/djangojs.po',
                 'locale/tm/LC_MESSAGES/djangojs.po',
                 'locale/uz/LC_MESSAGES/django.po',
                 'static/css/*',
                 'static/img/*',
                 'static/js/*',
                 'static/riot/*',
                 'templates/profiles_v2/*',
                 'templates/stores/*',
                 'templates/tags/*'],
 'resources': ['static/css/*',
               'static/img/*',
               'static/js/*',
               'templates/resources/*',
               'templates/tags/*'],
 'results': ['static/css/*',
             'static/fonts/*',
             'static/js/*',
             'templates/results/*',
             'templates/tags/*'],
 'search': ['locale/my/LC_MESSAGES/django.po',
            'locale/ru/LC_MESSAGES/django.po',
            'locale/tm/LC_MESSAGES/django.po',
            'locale/uz/LC_MESSAGES/django.po',
            'templates/search/*',
            'templates/search/indexes/aims/*',
            'templates/tags/*']}

install_requires = \
['Django<3.2',
 'Pillow>=9.0.1,<10.0.0',
 'Whoosh>=2.7.4,<3.0.0',
 'celery>=5.2.3,<6.0.0',
 'django-crispy-forms>=1.14.0,<2.0.0',
 'django-el-pagination>=3.3.0,<4.0.0',
 'django-geojson>=3.2.1,<4.0.0',
 'django-haystack>=3.1.1,<4.0.0',
 'django-leaflet>=0.28.2,<0.29.0',
 'django-model-utils>=4.2.0,<5.0.0',
 'django-modeltranslation>=0.17.5,<0.18.0',
 'django-registration-redux>=2.10,<3.0',
 'django-widget-tweaks>=1.4.12,<2.0.0',
 'djangorestframework>=3.13.1,<4.0.0',
 'requests>=2.27.1,<3.0.0',
 'sentry-sdk>=1.5.8,<2.0.0',
 'simple-locations>=3.1.3,<4.0.0',
 'urllib3<1.26']

setup_kwargs = {
    'name': 'openly',
    'version': '0.1.4',
    'description': '',
    'long_description': None,
    'author': 'Josh Brooks',
    'author_email': 'josh@catalpa.io',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'package_dir': package_dir,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
